Update lead
https://api.propexo.com/v1/leads/:idUpdate a lead.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the lead
The Propexo unique identifier for the employee
An array of the Propexo unit IDs that the lead is interested in
Possible values: <= 25
The Propexo unique identifier for the unit
The first name associated with the lead
The last name associated with the lead
The number of additional occupants associated with the lead
Possible values: >= 0
The desired number of bathrooms
Possible values: >= 0
The desired number of bedrooms
The credit score of the lead
The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
Show 2 variants
The primary email address associated with the lead
Whether or not the lead has cats
Whether or not the lead has dogs
Whether or not the lead has pets that aren't dogs or cats
The maximum rent cost the lead is looking to pay, in cents
Possible values: >= 0
The monthly income of the lead, in cents
Possible values: >= 0
The middle initial of the lead
Possible values: non-empty and <= 1 characters
Primary phone number associated with the lead
The name of the source of the lead
The status associated with the lead
Show 4 enum values
ACTIVECOLDINACTIVEWAITLISTEDThe reason the lead is inactive
Show 10 enum values
PRICELOCATIONAMENITIESNO_REASONDECIDED_NOT_TO_MOVELEASING_CRITERIA_NOT_METLOOKING_FOR_MOVE_IN_SPECIALNO_AVAILABILITYDUPLICATEOTHERDeprecated. Use target_move_in_date instead.
Show 2 variants
Deprecated. Use desired_num_bathrooms instead.
Deprecated. Use desired_num_bedrooms instead.
Possible values: >= 0
The Propexo unique identifier for the lease period
The Propexo unique identifier for the lead source
The middle name associated with the lead
Type of the primary phone number
Show 4 enum values
FAXHOMEMOBILEWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 4 enum values
FAXHOMEMOBILEWORKThe first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The minimum rent cost the lead is looking to pay, in cents
The number of occupants living in the unit
Notes associated with the lead
events object[]deprecated
DEPRECATED: Please use /events endpoints to write events. Array of events associated with this lead
The Propexo unique identifier for the unit
The PMS id for the event type.
The PMS id for the leasing agent.
The PMS id for the event sub type.
The PMS id for the event result.
The date and time that the event occured.
The date and time that the appointment will occur. Required if using appointment type.
General notes about the event.
Title for the event.
The reason the event occurred.
The Propexo unique identifier for the event. Only required if attempting to update an existing event.
The Propexo unique identifier for the address type. This is required when updating the address
The amount of months for the lease term
The status of the lead. This is optional and defaults to ACTIVE.
Show 3 enum values
APPLICANTCO_APPLICANTOCCUPANTThe country associated with the lead
The raw status associated with the lead
The desired type of unit
The Propexo unique identifier for the lead relationship
The date of birth associated with the lead
Show 2 variants
The Propexo unique identifier for the floor plan
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leads/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"lead_id": "string",
"employee_id": "string",
"desired_unit_ids": [
"string"
],
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"number_of_additional_occupants": 0,
"desired_num_bathrooms": 0,
"desired_num_bedrooms": 0,
"credit_score": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"has_cats": true,
"has_dogs": true,
"has_other_pets": true,
"desired_max_rent_in_cents": 0,
"monthly_income_in_cents": 0,
"middle_initial": "string",
"phone_1": "string",
"lead_source": "string",
"status": "ACTIVE",
"inactive_reason": "PRICE",
"lease_period_id": "string",
"lead_source_id": "string",
"middle_name": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"desired_min_rent_in_cents": 0,
"number_of_occupants": 0,
"notes": "string",
"address_type_id": "string",
"desired_lease_term_in_months": "string",
"applicant_status": "APPLICANT",
"country": "string",
"status_raw": "string",
"desired_unit_type": "string",
"lead_relationship_id": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"floor_plan_id": "string"
}'
{
"job_id": "string",
"data": {}
}